Уязвимость BDU:2020-01419

Дата: 07.05.2019. Автор: ФСТЭК России. Категории: Уязвимости

Идентификатор: BDU:2020-01419.

Наименование уязвимости: Уязвимость функции exif_read_data интерпретатора языка программирования PHP, позволяющая нарушителю получить несанкционированный доступ к информации или вызвать отказ в обслуживании.

Описание уязвимости: Уязвимость функции exif_read_data интерпретатора языка программирования PHP связана с выходом операции за допустимые границы буфера данных. Эксплуатация уязвимости может позволить нарушителю, действующему удаленно, получить несанкционированный доступ к информации или вызвать отказ в обслуживании
Уязвимое ПО: Операционная система АО «НПО РусБИТех» Astra Linux 1.5 «Смоленск» | Операционная система Red Hat Inc. Red Hat Enterprise Linux 7 | Операционная система Canonical Ltd. Ubuntu 16.04 LTS | Операционная система Canonical Ltd. Ubuntu 18.04 LTS | Операционная система Canonical Ltd. Ubuntu 18.10 | Операционная система АО «НПО РусБИТех» Astra Linux 1.6 «Смоленск» | Операционная система Canonical Ltd. Ubuntu 19.04 | Операционная система Red Hat Inc. Red Hat Enterprise Linux 8 | Операционная система Novell Inc. OpenSUSE Leap 15.0 | Операционная система Novell Inc. OpenSUSE Leap 15.1 | Прикладное ПО информационных систем Red Hat Inc. Red Hat Software Collections — | Операционная система АО «НПО РусБИТех» Astra Linux 8.1 «Ленинград» | Прикладное ПО информационных систем PHP Group PHP от 7.1.0 до 7.1.30 | Прикладное ПО информационных систем PHP Group PHP от 7.2.0 до 7.2.19 | Прикладное ПО информационных систем PHP Group PHP от 7.3.0 до 7.3.6 | Операционная система Debian GNU/Linux 8.0 | Операционная система Debian GNU/Linux 9.0 | Операционная система Debian GNU/Linux 10.0 |

Наименование ОС и тип аппаратной платформы: Astra Linux 15 «Смоленск» | Red Hat Enterprise Linux 7 | Ubuntu 1604 LTS | Ubuntu 1804 LTS | Ubuntu 1810 | Astra Linux 16 «Смоленск» | Debian GNU/Linux 80 | Debian GNU/Linux 90 | Ubuntu 1904 | Red Hat Enterprise Linux 8 | OpenSUSE Leap 150 | OpenSUSE Leap 151 | Astra Linux 81 «Ленинград» | Debian GNU/Linux 80 | Debian GNU/Linux 90 | Debian GNU/Linux 100 |
Дата выявления: 07.05.2019.
CVSS 2.0: AV:N/AC:L/Au:N/C:C/I:N/A:C
Уровень опасности уязвимости: Высокий уровень опасности (базовая оценка CVSS 2.0 составляет 9,4)
Критический уровень опасности (базовая оценка CVSS 3.0 составляет 9,1)

Возможные меры по устранению:
Использование рекомендаций:
Для php5:
Обновление программного обеспечения до 5.6.40+dfsg-0+deb8u3 или более поздней версии

Для php7:
Обновление программного обеспечения до 7.0.33-0+deb9u5 или более поздней версии

Для php7.3:
Обновление программного обеспечения до 7.3.4-2 или более поздней версии

Для Debian:
Обновление программного обеспечения (пакета php5.0) до 5.6.40+dfsg-0+deb8u3 или более поздней версии, (пакета php7.0) до 7.0.33-0+deb9u5 или более поздней версии, (пакета php7.3) до 7.3.9-1~deb10u1 или более поздней версии

Для Astra Linux:
https://wiki.astralinux.ru/astra-linux-se16-bulletin-20200327SE16
https://wiki.astralinux.ru/astra-linux-se81-bulletin-20200429SE81
https://wiki.astralinux.ru/astra-linux-se15-bulletin-20201201SE15

Для программных продуктов Novell Inc.:
https://lists.opensuse.org/opensuse-security-announce/2019-07/msg00029.html

Для программных продуктов Red Hat Inc.:
https://access.redhat.com/security/cve/cve-2019-11040

Для Ubuntu:
https://ubuntu.com/security/notices/USN-4009-1
.
Статус уязвимости: Подтверждена производителем
Наличие эксплойта: Существует в открытом доступе
Информация об устранении: Уязвимость устранена
Идентификаторы других систем описаний уязвимости: CVE-2019-11040.

Тип ошибки CWE: CWE-119
Ссылки на источники:
cайт ФАУ «ГНИИИ ПТЗИ ФСТЭК России».
https://bugs.php.net/bug.php?id=77988
https://nvd.nist.gov/vuln/detail/CVE-2019-11040
https://security-tracker.debian.org/tracker/CVE-2019-11040
https://bugs.php.net/bug.php?id=77988
https://wiki.astralinux.ru/astra-linux-se16-bulletin-20200327SE16
https://access.redhat.com/security/cve/cve-2019-11040
https://lists.opensuse.org/opensuse-security-announce/2019-07/msg00029.html
https://ubuntu.com/security/notices/USN-4009-1
https://wiki.astralinux.ru/astra-linux-se81-bulletin-20200429SE81
https://wiki.astralinux.ru/astra-linux-se15-bulletin-20201201SE15

ФСТЭК России

Об авторе ФСТЭК России

Аккаунт для добавления уязвимостей с банка данных угроз безопасности информации ФСТЭК России. Не является оф. аккаунтом ФСТЭК России.
Читать все записи автора ФСТЭК России

Добавить комментарий

Ваш адрес email не будет опубликован. Обязательные поля помечены *